Toybrick

楼主: jefferyzhang

[Latest Version] [1.3.2] rknn-toolkit & rknn-api for Toybrick

jefferyzhang

超级版主

积分
5388
 楼主| 发表于 2020-3-2 14:14:37 | 显示全部楼层
kexuejia 发表于 2020-3-2 13:41
大神你好,请问一下在debian 10上面如何升级rknn版本到1.3.0呢

【通过pip3 install --user -U rknn命令安 ...

参看帖子:http://t.rock-chips.com/forum.ph ... &extra=page%3D1
回复

使用道具 举报

kexuejia

新手上路

积分
42
发表于 2020-3-2 17:35:22 | 显示全部楼层
jefferyzhang 发表于 2020-3-2 14:14
参看帖子:http://t.rock-chips.com/forum.php?mod=viewthread&tid=1319&extra=page%3D1

【 sudo apt install rknn-rk3399pro 执行成功,能够将rknn-api升级到1.3】
但是【 pip3 install --user -U rknn】依旧会提示错误


toybrick@debian10:~/Downloads$ pip3 install --user -U rknn
Looking in indexes: http://repo.rock-chips.com/pypi/simple, https://pypi.tuna.tsinghua.edu.cn/simple
ERROR: Could not find a version that satisfies the requirement rknn (from versions: none)
ERROR: No matching distribution found for rknn
WARNING: You are using pip version 19.3.1; however, version 20.0.2 is available.
You should consider upgrading via the 'pip install --upgrade pip' command.
toybrick@debian10:~/Downloads$ sudo apt install rknn-rk3399pro
[sudo] password for toybrick:
Reading package lists... Done
Building dependency tree      
Reading state information... Done
rknn-rk3399pro is already the newest version (1.3.0-1).
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
回复

使用道具 举报

jefferyzhang

超级版主

积分
5388
 楼主| 发表于 2020-3-2 20:48:48 | 显示全部楼层
kexuejia 发表于 2020-3-2 17:35
【 sudo apt install rknn-rk3399pro 执行成功,能够将rknn-api升级到1.3】
但是【 pip3 install --user  ...

rknn-rk3399pro is already the newest version (1.3.0-1).
有什么问题么?
回复

使用道具 举报

lijie

注册会员

积分
89
发表于 2020-3-2 23:08:09 | 显示全部楼层
jefferyzhang 发表于 2020-3-1 20:32
Toybrick平台参看说明直接升级即可。非Toybrick平台要看NPU部门那边会不会提供 ...

Toybrick平台上我因为pip uninstall rknn-toolkit,现在想再装,toybrick的pypi源现在没有了,现在更新不了python 3.7对应的 rknn-toolkit。Toybrick平台现在更新的包只有rknn的api吧?没有python3.7对应的rknn-toolkit?
回复

使用道具 举报

lijie

注册会员

积分
89
发表于 2020-3-2 23:17:56 | 显示全部楼层
本帖最后由 lijie 于 2020-3-2 23:19 编辑
jefferyzhang 发表于 2020-3-2 20:48
rknn-rk3399pro is already the newest version (1.3.0-1).
有什么问题么?

问题是,rknn-api是1.3.0但是rknn-toolkit是1.2。
回复

使用道具 举报

lijie

注册会员

积分
89
发表于 2020-3-2 23:21:38 | 显示全部楼层
kexuejia 发表于 2020-3-2 13:41
大神你好,请问一下在debian 10上面如何升级rknn版本到1.3.0呢

【通过pip3 install --user -U rknn命令安 ...

你需要确定你用的python版本,然后找对应的whl包,toybrick现在网上下载的whl包只支持3.5和3.6
回复

使用道具 举报

jefferyzhang

超级版主

积分
5388
 楼主| 发表于 2020-3-3 10:05:17 | 显示全部楼层
lijie 发表于 2020-3-2 23:17
问题是,rknn-api是1.3.0但是rknn-toolkit是1.2。

pip3 list | grep rknn-toolkit
看下你的版本,如果用的是我们pypi源,你肯定已经是1.3了
回复

使用道具 举报

tomyhome

中级会员

积分
258
发表于 2020-3-3 11:25:19 | 显示全部楼层
jefferyzhang 发表于 2020-3-3 10:05
pip3 list | grep rknn-toolkit
看下你的版本,如果用的是我们pypi源,你肯定已经是1.3了 ...

你好,你们的pypi确实打不开了,我用3399pro板输入pip install rknn提示找不到对应包,debian10系统用的是python3.7,你们rknn-toolkit提供的版本是3.6的,所以没办法在python3.7中使用rknn
回复

使用道具 举报

tomyhome

中级会员

积分
258
发表于 2020-3-3 11:27:46 | 显示全部楼层
jefferyzhang 发表于 2020-3-3 10:05
pip3 list | grep rknn-toolkit
看下你的版本,如果用的是我们pypi源,你肯定已经是1.3了 ...

你好,你们这个网站确实打不开了,现在我想用rknn跑例子都不行,因为debian10用的py37,没有rknn包
http://repo.rock-chips.com/pypi/simple
回复

使用道具 举报

jefferyzhang

超级版主

积分
5388
 楼主| 发表于 2020-3-3 11:37:27 | 显示全部楼层
本帖最后由 jefferyzhang 于 2020-3-3 11:42 编辑
tomyhome 发表于 2020-3-3 11:27
你好,你们这个网站确实打不开了,现在我想用rknn跑例子都不行,因为debian10用的py37,没有rknn包
http: ...

直接访问是不行的,需要通过pip3安装访问,我让负责人去确认下,需要点时间,你明天再试试
回复

使用道具 举报

您需要登录后才可以回帖 登录 | 立即注册

本版积分规则

产品中心 购买渠道 开源社区 Wiki教程 资料下载 关于Toybrick


快速回复 返回顶部 返回列表